std::messages_byname< _CharT >(3)

NAME
std::messages_byname< _CharT > - class messages_byname [22.2.7.2].

SYNOPSIS

Inherits std::messages< _CharT >.

  Public Types
typedef int catalog
typedef _CharT char_type
typedef basic_string< _CharT > string_type

  Public Member Functions
messages_byname (const char *__s, size_t __refs=0)
messages_byname (const string &__s, size_t __refs=0)
void close (catalog __c) const
string_type get (catalog __c, int __set, int __msgid, const string_type &__s) const
catalog open (const basic_string< char > &, const locale &, const char *) const
catalog open (const basic_string< char > &__s, const locale &__loc) const

  Static Public Attributes
static locale::id id
Numpunct facet id.

  Protected Member Functions
string_type _M_convert_from_char (char *) const
char * _M_convert_to_char (const string_type &__msg) const
void do_close (catalog) const
void do_close (catalog) const
virtual void do_close (catalog) const
string do_get (catalog, int, int, const string &) const
Specializations for required instantiations.
virtual string_type do_get (catalog, int, int, const string_type &__dfault) const
wstring do_get (catalog, int, int, const wstring &) const
messages< char >::catalog do_open (const basic_string< char > &, const locale &) const
messages< wchar_t >::catalog do_open (const basic_string< char > &, const locale &) const
virtual catalog do_open (const basic_string< char > &, const locale &) const

  Static Protected Member Functions
static __c_locale _S_clone_c_locale (__c_locale &__cloc) throw ()
static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale _S_get_c_locale ()
static const char * _S_get_c_name () throw ()
static __c_locale _S_lc_ctype_c_locale (__c_locale __cloc, const char *__s)

  Protected Attributes
__c_locale _M_c_locale_messages
const char * _M_name_messages

Detailed Description

  template<typename _CharT>
class std::messages_byname< _CharT >" class messages_byname [22.2.7.2].

Definition at line 1983 of file locale_facets_nonio.h.

Member Function Documentation

  string std::messages< char >::do_get (catalog, int, int, const string &) const [protected], [inherited]

Specializations for required instantiations.

Member Data Documentation

  template<typename _CharT > locale::id std::messages< _CharT >::id [static], [inherited]

Numpunct facet id.

Definition at line 1817 of file locale_facets_nonio.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.